squareball 0.2.0.28-7bb8 A general-purpose library for C99

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs
Data Fields
sb_string_t Struct Reference

`#include <squareball/sb-string.h>`

## Data Fields
char * | str
size_t | len
size_t | allocated_len

## Detailed Description

Automatically growing string structure.

Examples:
  hello_string.c.

## Field Documentation

size_t sb_string_t::allocated_len

The size of the memory actually allocated for str. Should not be touched by user, despite being part of public interface.

size_t sb_string_t::len

The length of str. Should not be written manually by user.

char* sb_string_t::str

The raw string. Always nul-terminated. Should not be written manually by user

The documentation for this struct was generated from the following file:

- squareball/sb-string.h